al_color_rgb_to_hsv(3)

NAME

al_color_rgb_to_hsv - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    void al_color_rgb_to_hsv(float red, float green, float blue,
       float *hue, float *saturation, float *value)

DESCRIPTION

Given an RGB triplet with components in the range 0..1, return the hue in degrees from 0..360 and saturation and value in the range 0..1.

SEE ALSO

al_color_hsv_to_rgb(3), al_color_hsv(3)